#!/bin/bash

# the script takes binutils* and creates the cross-* packages

for arch in hppa hppa64 mips arm i386 x86_64 s390 s390x sh4 ppc ppc64 ia64 sparc alpha spu; do 

   echo -n "Building package for $arch --> cross-$arch-binutils ..."

   ln -f binutils.changes cross-$arch-binutils.changes
   sed -e "s/^Name:.*binutils\$/Name:         cross-$arch-binutils/" \
       -e '/%ifarch %gold_archs/,/%endif/d' \
       -e '/ \(devel\|gold\)$/,/^$/d'  \
       < binutils.spec > cross-$arch-binutils.spec

   echo " done."
done
